package com.github.appreciated.calc.color.helper;

import java.util.Arrays;

public class LumoVariables {
    public static final String LUMO_BORDER_RADIUS = "--lumo-border-radius";
    public static final String LUMO_BOX_SHADOW_S = "--lumo-box-shadow-s";
    public static final String LUMO_BOX_SHADOW_M = "--lumo-box-shadow-m";
    public static final String LUMO_BOX_SHADOW_L = "--lumo-box-shadow-l";
    public static final String LUMO_BOX_SHADOW_XL = "--lumo-box-shadow-xl";
    public static final String LUMO_SIZE_XS = "--lumo-size-xs";
    public static final String LUMO_SIZE_S = "--lumo-size-s";
    public static final String LUMO_SIZE_M = "--lumo-size-m";
    public static final String LUMO_SIZE_L = "--lumo-size-l";
    public static final String LUMO_SIZE_XL = "--lumo-size-xl";
    public static final String LUMO_ICON_SIZE_S = "--lumo-icon-size-s";
    public static final String LUMO_ICON_SIZE_M = "--lumo-icon-size-m";
    public static final String LUMO_ICON_SIZE_L = "--lumo-icon-size-l";
    public static final String LUMO_ICON_SIZE = "--lumo-icon-size";
    public static final String LUMO_BASE_COLOR = "--lumo-base-color";
    public static final String LUMO_TINT_5PCT = "--lumo-tint-5pct";
    public static final String LUMO_TINT_10PCT = "--lumo-tint-10pct";
    public static final String LUMO_TINT_20PCT = "--lumo-tint-20pct";
    public static final String LUMO_TINT_30PCT = "--lumo-tint-30pct";
    public static final String LUMO_TINT_40PCT = "--lumo-tint-40pct";
    public static final String LUMO_TINT_50PCT = "--lumo-tint-50pct";
    public static final String LUMO_TINT_60PCT = "--lumo-tint-60pct";
    public static final String LUMO_TINT_70PCT = "--lumo-tint-70pct";
    public static final String LUMO_TINT_80PCT = "--lumo-tint-80pct";
    public static final String LUMO_TINT_90PCT = "--lumo-tint-90pct";
    public static final String LUMO_TINT = "--lumo-tint";
    public static final String LUMO_SHADE_5PCT = "--lumo-shade-5pct";
    public static final String LUMO_SHADE_10PCT = "--lumo-shade-10pct";
    public static final String LUMO_SHADE_20PCT = "--lumo-shade-20pct";
    public static final String LUMO_SHADE_30PCT = "--lumo-shade-30pct";
    public static final String LUMO_SHADE_40PCT = "--lumo-shade-40pct";
    public static final String LUMO_SHADE_50PCT = "--lumo-shade-50pct";
    public static final String LUMO_SHADE_60PCT = "--lumo-shade-60pct";
    public static final String LUMO_SHADE_70PCT = "--lumo-shade-70pct";
    public static final String LUMO_SHADE_80PCT = "--lumo-shade-80pct";
    public static final String LUMO_SHADE_90PCT = "--lumo-shade-90pct";
    public static final String LUMO_SHADE = "--lumo-shade";
    public static final String LUMO_CONTRAST_5PCT = "--lumo-contrast-5pct";
    public static final String LUMO_CONTRAST_10PCT = "--lumo-contrast-10pct";
    public static final String LUMO_CONTRAST_20PCT = "--lumo-contrast-20pct";
    public static final String LUMO_CONTRAST_30PCT = "--lumo-contrast-30pct";
    public static final String LUMO_CONTRAST_40PCT = "--lumo-contrast-40pct";
    public static final String LUMO_CONTRAST_50PCT = "--lumo-contrast-50pct";
    public static final String LUMO_CONTRAST_60PCT = "--lumo-contrast-60pct";
    public static final String LUMO_CONTRAST_70PCT = "--lumo-contrast-70pct";
    public static final String LUMO_CONTRAST_80PCT = "--lumo-contrast-80pct";
    public static final String LUMO_CONTRAST_90PCT = "--lumo-contrast-90pct";
    public static final String LUMO_CONTRAST = "--lumo-contrast";
    public static final String LUMO_HEADER_TEXT_COLOR = "--lumo-header-text-color";
    public static final String LUMO_BODY_TEXT_COLOR = "--lumo-body-text-color";
    public static final String LUMO_SECONDARY_TEXT_COLOR = "--lumo-secondary-text-color";
    public static final String LUMO_TERTIARY_TEXT_COLOR = "--lumo-tertiary-text-color";
    public static final String LUMO_DISABLED_TEXT_COLOR = "--lumo-disabled-text-color";
    public static final String LUMO_PRIMARY_COLOR = "--lumo-primary-color";
    public static final String LUMO_PRIMARY_COLOR_50PCT = "--lumo-primary-color-50pct";
    public static final String LUMO_PRIMARY_COLOR_10PCT = "--lumo-primary-color-10pct";
    public static final String LUMO_PRIMARY_TEXT_COLOR = "--lumo-primary-text-color";
    public static final String LUMO_PRIMARY_CONTRAST_COLOR = "--lumo-primary-contrast-color";
    public static final String LUMO_ERROR_COLOR = "--lumo-error-color";
    public static final String LUMO_ERROR_COLOR_50PCT = "--lumo-error-color-50pct";
    public static final String LUMO_ERROR_COLOR_10PCT = "--lumo-error-color-10pct";
    public static final String LUMO_ERROR_TEXT_COLOR = "--lumo-error-text-color";
    public static final String LUMO_ERROR_CONTRAST_COLOR = "--lumo-error-contrast-color";
    public static final String LUMO_SUCCESS_COLOR = "--lumo-success-color";
    public static final String LUMO_SUCCESS_COLOR_50PCT = "--lumo-success-color-50pct";
    public static final String LUMO_SUCCESS_COLOR_10PCT = "--lumo-success-color-10pct";
    public static final String LUMO_SUCCESS_TEXT_COLOR = "--lumo-success-text-color";
    public static final String LUMO_SUCCESS_CONTRAST_COLOR = "--lumo-success-contrast-color";
    public static final String LUMO_SPACE_XS = "--lumo-space-xs";
    public static final String LUMO_SPACE_S = "--lumo-space-s";
    public static final String LUMO_SPACE_M = "--lumo-space-m";
    public static final String LUMO_SPACE_L = "--lumo-space-l";
    public static final String LUMO_SPACE_XL = "--lumo-space-xl";
    public static final String LUMO_SPACE_WIDE_XS = "--lumo-space-wide-xs";
    public static final String LUMO_SPACE_WIDE_S = "--lumo-space-wide-s";
    public static final String LUMO_SPACE_WIDE_M = "--lumo-space-wide-m";
    public static final String LUMO_SPACE_WIDE_L = "--lumo-space-wide-l";
    public static final String LUMO_SPACE_WIDE_XL = "--lumo-space-wide-xl";
    public static final String LUMO_SPACE_TALL_XS = "--lumo-space-tall-xs";
    public static final String LUMO_SPACE_TALL_S = "--lumo-space-tall-s";
    public static final String LUMO_SPACE_TALL_M = "--lumo-space-tall-m";
    public static final String LUMO_SPACE_TALL_L = "--lumo-space-tall-l";
    public static final String LUMO_SPACE_TALL_XL = "--lumo-space-tall-xl";

    /**
     * Leave here if the vars will be updated on some day :F
     *
     * @param args
     */
    private static void main(String[] args) {
        String test = "";
        Arrays.stream(test.split("\n"))
                .map(s -> s.split(":")[0])
                .map(s -> "public static final String " + s.toUpperCase().substring(2).replaceAll("-", "_") + "= \"" + s + "\";")
                .forEach(s -> System.out.println(s));
    }
}
